module.exports = function(config) {
    config.set({
      frameworks: ['jasmine', '@angular-devkit/build-angular'],
      
      plugins: [
        require('karma-jasmine'),
        require('karma-chrome-launcher'),
        require('karma-jasmine-html-reporter'),
        require('karma-coverage'),
        require('karma-junit-reporter'),
        require('@angular-devkit/build-angular/plugins/karma')
      ],
  
      client: {
        clearContext: false
      },
      
      reporters: ['progress', 'kjhtml', 'junit'],
      
      junitReporter: {
        outputDir: 'test-results',
        outputFile: 'ogGui-junit-report.xml',
        useBrowserName: false,
      },
      
      port: 9876,
      colors: true,
      logLevel: config.LOG_INFO,
      autoWatch: true,
      browsers: ['ChromeHeadlessNoSandbox'],
      customLaunchers: {
        ChromeHeadlessNoSandbox: {
          base: 'ChromeHeadless',
          flags: ['--no-sandbox','--disable-setuid-sandbox']
        }
      },
      singleRun: false,
      restartOnFileChange: true
    });
  };
